package client

type AutoMigrateRequest struct {
	Items []AutoMigrateItem
}

type AutoMigrateItem struct {
	TablePrefixWithSchema string
	Version               string
	TableModelDescribe    map[string]string
	NoEvent               bool
}

type InsertRequest struct {
	TablePrefixWithSchema string
	Version               string
	KeyColumns            []string
	TableRow              *TableRow
	UserID                string
}

type InsertBatchRequest struct {
	Items  []InsertTableRowItem
	UserID string
}

type InsertTableRowItem struct {
	TablePrefixWithSchema string
	Version               string
	KeyColumns            []string
	TableRows             []*TableRow
}

type DeleteRequest struct {
	TablePrefixWithSchema string
	Version               string
	KeyValues             *KeyValue
	UserID                string
}

type DeleteWhereRequest struct {
	TablePrefixWithSchema string
	Version               string
	KeyColumns            []string
	Where                 *Clause
	UserID                string
}

type UpdateRequest struct {
	TablePrefixWithSchema string
	Version               string
	KeyValues             *KeyValue
	NewTableRow           *TableRow
	UserID                string
}

type UpdateWhereRequest struct {
	TablePrefixWithSchema string
	Version               string
	KeyColumns            []string
	Where                 *Clause
	NewTableRow           *TableRow
	UserID                string
}

type ReplayRequest struct {
	TablePrefixWithSchema string
	Version               string
	KeyValues             *KeyValue
	UserID                string
}
