package client

type QueryByWhereAndOrderByRequest struct {
	TablePrefixWithSchema string
	Table                 string
	Version               string
	Select                *Clause
	Where                 *Clause
	OrderBy               string
	PageNo                int
	PageSize              int
}

type CommonQueryRequest struct {
	TablePrefixWithSchema string
	Table                 string
	Version               string
	Select                *Clause
	Where                 *Clause
	OrderBy               string
	Or                    *Clause
	GroupBy               string
	Joins                 *Clause
	Having                *Clause
	PageNo                int
	PageSize              int
}

type QueryByKeysRequest struct {
	TablePrefixWithSchema string
	Version               string
	Select                *Clause
	KeyValues             *KeyValue
}

type CountWhereRequest struct {
	TablePrefixWithSchema string
	Table                 string
	Version               string
	Where                 *Clause
}

type CommonCountRequest struct {
	TablePrefixWithSchema string
	Table                 string
	Version               string
	Where                 *Clause
	Or                    *Clause
	GroupBy               string
	Joins                 *Clause
	Having                *Clause
}

type EventQueryByKeysRequest struct {
	TablePrefixWithSchema string
	Select                *Clause
	KeyValues             []string
	PageNo                int
	PageSize              int
}

type CommonEventQueryRequest struct {
	TablePrefixWithSchema string
	Select                *Clause
	KeyValues             []string
	Version               string
	Operation             string
	CreatorID             string
	StartCreatedTime      string
	EndCreatedTime        string
	PageNo                int
	PageSize              int
}

type CountEventByKeysRequest struct {
	TablePrefixWithSchema string
	KeyValues             []string
}

type CommonCountEventRequest struct {
	TablePrefixWithSchema string
	KeyValues             []string
	Version               string
	Operation             string
	CreatorID             string
	StartCreatedTime      string
	EndCreatedTime        string
}
